summaryrefslogtreecommitdiff
path: root/tests/chgrp
diff options
context:
space:
mode:
Diffstat (limited to 'tests/chgrp')
-rwxr-xr-xtests/chgrp/basic2
-rwxr-xr-xtests/chgrp/deref4
-rwxr-xr-xtests/chgrp/no-x2
-rwxr-xr-xtests/chgrp/posix-H2
-rwxr-xr-xtests/chgrp/recurse4
5 files changed, 7 insertions, 7 deletions
diff --git a/tests/chgrp/basic b/tests/chgrp/basic
index 5cb8da82f..897900d00 100755
--- a/tests/chgrp/basic
+++ b/tests/chgrp/basic
@@ -30,7 +30,7 @@ fi
pwd=`pwd`
tmp=basic.$$
-trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0
+trap 'status=$?; cd "$pwd" && rm -rf $tmp && exit $status' 0
trap '(exit $?); exit' 1 2 13 15
framework_failure=0
diff --git a/tests/chgrp/deref b/tests/chgrp/deref
index b15d0c380..413ae22f6 100755
--- a/tests/chgrp/deref
+++ b/tests/chgrp/deref
@@ -1,7 +1,7 @@
#!/bin/sh
# see if chgrp can change the group of a symlink
-# Copyright (C) 2000, 2004, 2005 Free Software Foundation, Inc.
+# Copyright (C) 2000, 2004, 2005, 2006 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -27,7 +27,7 @@ fi
pwd=`pwd`
tmp=slink.$$
-trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0
+trap 'status=$?; cd "$pwd" && rm -rf $tmp && exit $status' 0
trap '(exit $?); exit' 1 2 13 15
framework_failure=0
diff --git a/tests/chgrp/no-x b/tests/chgrp/no-x
index d82002c61..b8ebed5f6 100755
--- a/tests/chgrp/no-x
+++ b/tests/chgrp/no-x
@@ -34,7 +34,7 @@ PRIV_CHECK_ARG=require-non-root . $srcdir/../priv-check
pwd=`pwd`
t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
+trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
trap '(exit $?); exit $?' 1 2 13 15
framework_failure=0
diff --git a/tests/chgrp/posix-H b/tests/chgrp/posix-H
index 907b7da5e..b8d1a8efa 100755
--- a/tests/chgrp/posix-H
+++ b/tests/chgrp/posix-H
@@ -30,7 +30,7 @@ g2=$2
pwd=`pwd`
t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
+trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
trap '(exit $?); exit $?' 1 2 13 15
framework_failure=0
diff --git a/tests/chgrp/recurse b/tests/chgrp/recurse
index 23f040d34..871388c10 100755
--- a/tests/chgrp/recurse
+++ b/tests/chgrp/recurse
@@ -1,7 +1,7 @@
#!/bin/sh
# ad-hoc tests of chgrp with -R and -H or -L and symlinks
-# Copyright (C) 2000, 2003, 2004, 2005 Free Software Foundation, Inc.
+# Copyright (C) 2000, 2003, 2004, 2005, 2006 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -27,7 +27,7 @@ fi
pwd=`pwd`
tmp=recurse.$$
-trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0
+trap 'status=$?; cd "$pwd" && rm -rf $tmp && exit $status' 0
trap '(exit $?); exit' 1 2 13 15
framework_failure=0